cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Miquel (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CB-12083) Custom frameworks: TypeError Uh oh! Path must be a string. Received undefined
Date Fri, 28 Oct 2016 17:32:00 GMT
Miquel created CB-12083:
---------------------------

             Summary: Custom frameworks: TypeError Uh oh! Path must be a string. Received
undefined
                 Key: CB-12083
                 URL: https://issues.apache.org/jira/browse/CB-12083
             Project: Apache Cordova
          Issue Type: Bug
          Components: iOS
    Affects Versions: 4.1.1
         Environment: cordova version: 6.1.1
            Reporter: Miquel
            Priority: Minor


When removing custom frameworks from cordova it raises this error:

{code}
Error: TypeError: Uh oh!
Path must be a string. Received undefined
    at assertPath (path.js:7:11)
    at Object.dirname (path.js:1324:5)
    at searchPathForFile (/Volumes/DATA/apps/testApp/platforms/ios/cordova/node_modules/xcode/lib/pbxProject.js:1517:24)
    at pbxProject.removeFromFrameworkSearchPaths (/Volumes/DATA/apps/testApp/platforms/ios/cordova/node_modules/xcode/lib/pbxProject.js:1035:20)
    at pbxProject.removeFramework (/Volumes/DATA/apps/testApp/platforms/ios/cordova/node_modules/xcode/lib/pbxProject.js:307:14)
    at uninstall (/Volumes/DATA/apps/testApp/platforms/ios/cordova/lib/plugman/pluginHandlers.js:112:41)
    at Object.process (/Volumes/DATA/apps/testApp/platforms/ios/cordova/node_modules/cordova-common/src/ActionStack.js:56:25)
    at Plugman.removePlugin (/Volumes/DATA/apps/testApp/platforms/ios/cordova/lib/plugman/Plugman.js:125:20)
    at Api.removePlugin (/Volumes/DATA/apps/testApp/platforms/ios/cordova/Api.js:220:40)
    at handleUninstall (/usr/local/lib/node_modules/cordova/node_modules/cordova-lib/src/plugman/uninstall.js:333:6)
{code}

Steps to reproduce

- Create a cordova project with ios platform ~4.1.1
- Run {{$ cordova plugin add cordova-admob}}
- Run {{$ cordova plugin rm cordova-admob}}

{{cordova-admob}} depends on {{cordova-libgoogleadmobads}} which has a custom framework (admob
sdk). When uninstalling this dependency, it crashes.

I suspect this has been resolved in new versions of [https://github.com/alunny/node-xcode]
(I've also opened an issue there: [https://github.com/alunny/node-xcode/issues/109])



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message